Finish Setup Check
curl --request PUT \
--url https://api.decimal.ai/api/v1/agents/{agent_name}/setup/checks/{check_id}/result \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"suite": "support-draft/v1",
"configuration_stable": false,
"files_stable": false,
"runtime_prompt_hash": "<string>",
"cases": [
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"behavior_passed": false,
"delivery_passed": false,
"export_passed": false,
"input_hashes": [
"<string>"
],
"models": [
"<string>"
]
}
]
}
'import requests
url = "https://api.decimal.ai/api/v1/agents/{agent_name}/setup/checks/{check_id}/result"
payload = {
"suite": "support-draft/v1",
"configuration_stable": False,
"files_stable": False,
"runtime_prompt_hash": "<string>",
"cases": [
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"behavior_passed": False,
"delivery_passed": False,
"export_passed": False,
"input_hashes": ["<string>"],
"models": ["<string>"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
suite: 'support-draft/v1',
configuration_stable: false,
files_stable: false,
runtime_prompt_hash: '<string>',
cases: [
{
run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
behavior_passed: false,
delivery_passed: false,
export_passed: false,
input_hashes: ['<string>'],
models: ['<string>']
}
]
})
};
fetch('https://api.decimal.ai/api/v1/agents/{agent_name}/setup/checks/{check_id}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}agents
Finish Setup Check
PUT
/
api
/
v1
/
agents
/
{agent_name}
/
setup
/
checks
/
{check_id}
/
result
Finish Setup Check
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Cookies
Body
application/json
Allowed value:
"support-draft/v1"Pattern:
^sha256:[0-9a-f]{64}$Maximum array length:
2Show child attributes
Show child attributes
Available options:
credentials, provider, configuration, check_failed Response
Successful Response